Agent-readable docs index: /docs/llms.txt. Full docs in one file: /docs/llms-full.txt. Download /docs/docs.zip to grep all markdown files locally.
/api/keysPOST
Create a key from a signed-in Bri web session. Save data.key immediately because the full secret is returned only once. An API-key bearer request cannot create another key.
Request Bodyapplication/json
permissions?"read" | "write" | "read_write"
Default: "read"
label?stringnull
Max length: 64
Response
200 · API key created.
data *object
Show properties
key *string
Full secret. Save it immediately; it is shown only once.
prefix *string
permissions *"read" | "write" | "read_write"
400 · The request body or parameter is invalid.
error *string
Human-readable error message.
401 · The bearer key is missing, malformed, revoked, or invalid.
error *string
Human-readable error message.
Request example
curl -X POST "https://bri.fyi/api/keys" \ -H "Content-Type: application/json" \ -d '{ "permissions": "read", "label": "string" }'